
// this file requires malloc.h to have been included

struct playlist_struct {
	unsigned char flags;	// is it a subdir, playlist, etc
        simm_id /* char */ name;
        simm_id /* truct playlist_struct */ prev;
        simm_id /* truct playlist_struct */ next;
};

struct filelist_struct {
        unsigned long cluster;
        unsigned long size;
        char short_filename[13];
        char long_filename[230];  // TODO: dynamic allocation... this uses
				  // too much memory, approx 100k of RAM
				  // for each gigabyte of MP3 files
	char file_desc;		// if open and some is cached
        simm_id /* struct filelist_struct */ prev;
        simm_id /* struct filelist_struct */ next;
};

extern simm_id first_file;     /* of the active playlist */
extern simm_id last_file;      /* of the active playlist */

extern simm_id first_playlist;
extern simm_id active_playlist;
extern simm_id last_playlist;

extern void fill_playlist_setup(void);
extern void fill_playlist_by_dir(unsigned long pl_cluster);
extern void show_playlist(void);
extern char is_mp3_file(xdata struct dirent_struct * fileinfo);
